{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables-responsive.css' %}">
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">
                    <a href="{% url 'profile:admin_services' %}">Layanan</a></li>
                <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
            </ol>
        </nav>
        {% if messages %}
            {% for message in messages %}
                <div class="alert {{ message.tags }} my-2" role="alert">
                    {{message}}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>  
            {% endfor %}
        {% endif %}
        
        <div class="card shadow mb-5">
            <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Layanan Kami</h5>
            <div class="card-body">
                {% if edit %}
                    {% if servis %}
                        {% include 'profile/admin/services/form.html' %}
                    {% else %}
                        <h1>DOKUMEN TIDAK DITEMUKAN</h1>
                    {% endif %}
                {% else %}
                    {% include 'profile/admin/services/form.html' %}
                {% endif %}
            </div>
        </div>

    <div class="modal fade" id="modal_icon" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h6 class="m-0 font-weight-bold text-primary">Pilih Icon</h6>
                    <button type="button" class="close text-primary modal-close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body fontawesome-icon-list">
                    <table id="tbl_icon" class="display responsive nowrap mt-0" cellspacing="0" width="100%">
                        <thead hidden>
                            <tr><th>Icon</th><th>Icon</th><th>Icon</th></tr>
                        </thead>
                        <tbody>
                            {% for dtt in dticon %}
                            <tr>
                                {% for dt in dtt %}
                                <td class="fa-hover">
                                    {% if section == 'counts' %}
                                    <span alt="fa {{dt}}"><i class="fa {{dt}}"></i>&nbsp;{{dt}}</span>
                                    {% else %}
                                    <span alt="bx {{dt}}"><i class="bx {{dt}}"></i>&nbsp;{{dt}}</span>
                                    {% endif %}
                                </td>
                                {% endfor %}
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <style type="text/css">
        .fontawesome-icon-list {
            width: 100%;
            max-height: 500px;
            overflow: auto;
            margin: 10px -5px;
        }
        .fontawesome-icon-list .fa-hover span{
            display:block;
            color:#222;
            line-height:25px;
            height:30px;
            padding: 5px;
            cursor: pointer;
            font-size: 12px;
        }
        .fontawesome-icon-list .fa-hover span i{
            font-size: 20px !important;
        }
        .fa-hover>span:hover{
            background-color: #183F62;
            color: #FFFFFF;
            font-weight: bold;
        }
    </style>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#tbl_icon').DataTable({
                "scrollY": 380,
                "paging": false,
                "searching": true,
            });
        });
        function get_modal_icon(aidi, section){
            $("#modal_icon .modal-body").attr('alt',aidi);
            $("#modal_icon").modal("show");
        }

        $('.fa-hover span').dblclick(function () {
            var ikon = $(this).attr("alt");
            var id_icon = $("#modal_icon .modal-body").attr('alt');

            $('#'+id_icon).val(ikon);
            $("#img_icon").attr('class',ikon);
            $('#modal_icon').modal('hide');
        });
    </script>
{% endblock scripts_bawah %}